"""create item and client model for pars lalafo

Revision ID: d17453fb065e
Revises: 
Create Date: 2023-09-19 16:21:43.968476

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'd17453fb065e'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('client',
    sa.Column('pk', sa.Integer(), nullable=False),
    sa.Column('transaction_id', sa.Integer(), nullable=False),
    sa.Column('is_active', sa.Boolean(), nullable=True),
    sa.Column('phone_number', sa.String(), nullable=False),
    sa.PrimaryKeyConstraint('pk')
    )
    op.create_table('item',
    sa.Column('pk', sa.Integer(), nullable=False),
    sa.Column('item_id', sa.Integer(), nullable=True),
    sa.Column('ad_label', sa.String(length=255), nullable=True),
    sa.Column('title', sa.String(length=255), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('category_id', sa.Integer(), nullable=True),
    sa.Column('campaign_show', sa.Boolean(), nullable=True),
    sa.Column('city', sa.String(length=50), nullable=True),
    sa.Column('currency', sa.String(length=10), nullable=True),
    sa.Column('lat', sa.String(length=20), nullable=True),
    sa.Column('lng', sa.String(length=20), nullable=True),
    sa.Column('mobile', sa.String(length=30), nullable=True),
    sa.Column('price', sa.Integer(), nullable=True),
    sa.Column('url', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('pk')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('item')
    op.drop_table('client')
    # ### end Alembic commands ###
